Name: motion
Summary: Simple video surveillance system
Version: 3.2.Git
Release: 5.1
License: GPL-2.0
Group: Hardware/Camera
Source0: motion-Git.0fb31d66c9bb5032403f831c7f3b6ae241938bcb.tar.bz2
Source1: motion-cron-clean
Source2: motion-sysconfig
Source3: motion-conf
Source4: motion-initd
Source5: motion-erase-recordings
Source6: motion-web.conf
Source8: motion-service
# PATCH: Fix non-x86 builds (especially ARM)
Patch1:  fix_non_x86_build.patch
BuildRoot: %{_tmppath}/build-root-%{name}
Url: http://motion.sourceforge.net/
BuildRequires: m4, libjpeg8-devel
BuildRequires:  pkgconfig(libavformat) = 56.40.101
BuildRequires:  pkgconfig(libavutil) = 54.31.100
BuildRequires: pkgconfig(zlib)
%if 0%{?suse_version} >= 1210
BuildRequires: systemd
%endif
PreReq: %fillup_prereq
%{?systemd_requires}
Suggests: cron

%description
Motion is a software motion detector. It grabs images from video4linux devices
and/or from webcams (such as the axis network cameras). Motion is the perfect
tool for keeping an eye on your property, keeping only those images that are
interesting. Motion is strictly command line driven and can run as a daemon
with a rather small footprint.

This package is built to output motion capture as JPEG images and/or MPEG4
movies (generated by ffmpeg). Support for MySQL and PostgreSQL storage is not
included, neither is support for XML-RPC remote control. 


%package doc
Summary: The motion guide
%description doc
The motion guide is the comprehensive source of information about how to build,
install, configure, and run motion.


%package erase
Summary: Tools for erasing motion capture
Requires: motion
%description erase
Tools to help with erasing captured motion images and movies:
-A script to erase all captured motion.
-A cron job to scan for outdated motion capture and erase it.

%define spooldir /var/spool/motion

%prep
%setup -n motion
%patch1 -p0

%build
./configure --prefix=/usr --sysconfdir=/etc CFLAGS=-DFFMPEG_VERSION_INT=0x000409
make

%install

%define _m4 m4 -Dmotion_spooldir=%{spooldir}

[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
chmod a-x $RPM_BUILD_ROOT/%_mandir/man1/motion.1
rm $RPM_BUILD_ROOT/etc/motion-dist.conf

%{_m4} %{SOURCE3} >$RPM_BUILD_ROOT/etc/motion.conf
%if 0%{?suse_version} >= 1210
mkdir -p $RPM_BUILD_ROOT/%_unitdir
%{__install} -m 644 %{SOURCE8} $RPM_BUILD_ROOT/%_unitdir/motion.service
%else
mkdir $RPM_BUILD_ROOT/etc/init.d
%{__install} -m 755 %{SOURCE4} $RPM_BUILD_ROOT/etc/init.d/motion
mkdir -p $RPM_BUILD_ROOT/usr/sbin
ln -sf /etc/init.d/motion $RPM_BUILD_ROOT/usr/sbin/rcmotion
%endif

mkdir -p $RPM_BUILD_ROOT/%{spooldir}

rm -r $RPM_BUILD_ROOT/usr/share/doc

mkdir -p $RPM_BUILD_ROOT/%_docdir/%{name}
mv -v $RPM_BUILD_ROOT/usr/share/%{name}-*/* $RPM_BUILD_ROOT/%_docdir/%{name}
rm $RPM_BUILD_ROOT/%_docdir/%{name}/examples/motion.init*
chmod a-x $RPM_BUILD_ROOT/%_docdir/%{name}/examples/*
%{_m4} %{SOURCE6} >$RPM_BUILD_ROOT/%_docdir/%{name}/motion-web.conf


# erase

#mkdir $RPM_BUILD_ROOT/etc/cron.weekly
#%{_m4} %{SOURCE1} >$RPM_BUILD_ROOT/etc/cron.weekly/motion-clean

#mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
#cp %{SOURCE2} $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.%{name}

#%{_m4} %{SOURCE5} >$RPM_BUILD_ROOT/usr/bin/motion-erase-recordings
#chmod a+x $RPM_BUILD_ROOT/usr/bin/motion-erase-recordings


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%pre
getent group motion >/dev/null || groupadd --system motion >/dev/null
getent passwd motion >/dev/null || {
	useradd -g motion -G video -c "Motion capture daemon" -d %{spooldir} --system motion
}

%if 0%{?suse_version} >= 1210
%service_add_pre motion.service
%else
test -x /etc/init.d/motion && /etc/init.d/motion stop || :
%endif


%post
%if 0%{?suse_version} >= 1210
%service_add_post motion.service
%endif

%post erase
%fillup_only

if [ "$1" -eq 1 ]; then
echo <<-EOT
A default configuration file has been installed in "/etc/motion.conf".  It
probably gives reasonable results out of the box. Also, it is reasonably
self-documenting, so please go through it and adjust the settings according to
your needs and your computing setup.
EOT
fi


%preun
%if 0%{?suse_version} >= 1210
%service_del_preun motion.service
%else
%stop_on_removal motion
%endif


%postun
%if 0%{?suse_version} >= 1210
%service_del_postun motion.service
%else
%restart_on_update motion
%insserv_cleanup
%endif

%files
%defattr(-,root,root)

/usr/bin/motion

%config(noreplace) /etc/motion.conf
%if 0%{?suse_version} >= 1210
%_unitdir/motion.service
%else
/etc/init.d/motion
/usr/sbin/rcmotion
%endif

%doc %_mandir/man1/motion.1.gz
%doc README README.axis_2100 FAQ COPYING CHANGELOG CREDITS 

%attr(0770,root,motion) %dir %{spooldir}


%files doc
%defattr(-,root,root)
%doc motion_guide.html

# the erase subpackage is disabled for now
#%files erase
#/usr/bin/motion-erase-recordings
#/var/adm/fillup-templates/sysconfig.%{name}
#%attr(0755,root,root) /etc/cron.weekly/motion-clean


%changelog
* Fri Apr 12 2013 <seroton10@gmail.com> 3.3.Git
- Initial RPM package of revision 0fb31d66c9bb5032403f831c7f3b6ae241938bcb from github

